### Constructor

# AppStream ComponentBox new

since: 1.0

#### Declaration [src]

    AsComponentBox*
    as_component_box_new (
      AsComponentBoxFlags flags
    )

#### Description [src]

Creates a new `AsComponentBox`.

Available since: 1.0

#### Parameters

`flags`

  Type: `AsComponentBoxFlags`

  No description available.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox`.

The caller of the function takes ownership of the data, and is responsible for freeing it.